#!/usr/bin/env bash
# 文件名: ansible_startup.sh
# 功  能： 快速运行 ansible (容器环境)

set -o pipefail

source $(dirname $0)/.vars

if [[ ! -z $offline ]]
then
    /bin/bash $(dirname $0)/scripts/import_ansible_images.sh
fi

if [[ ! -e /usr/bin/ansible-docker.sh ]]
then
    printf "$info: 复制脚本到环境变量： [ ${bldgre}ansible-docker.sh${txtrst} ]\n"

    cp -rf $(dirname $0)/scripts/ansible-docker.sh /usr/bin/ && chmod +x /usr/bin/ansible-docker.sh

    printf "$info: 节点直接运行： [ ${bldgre}ansible-docker.sh${txtrst} ]\n"
else
    printf "$info: 脚本已存在，直接运行~： [ ${bldgre}ansible-docker.sh${txtrst} ]\n"
fi
